#include<iostream>
using namespace std;
int main(){
    int N,l,brslova,sbs,proizvod;
    char slovo,sslovo;
    cin>>N;
    sslovo='n';
    brslova=1;
    proizvod=1;
    for(l=1; l<=N; l++)
    {
        cin>>slovo;
        if(sslovo==slovo)
        {
            brslova=brslova+1;

        }
        else
        {

            proizvod=proizvod*brslova;
            brslova=1;

        }












        sslovo=slovo;








    }
    cout<<(proizvod*2)%(1000000007);






















































}